# Type alias TableRemoteMethodAdapterFactory<Data>

TableRemoteMethodAdapterFactory<Data>: ((method, paginator?, sort?, filter?, parameters?) => Method<Data[], TableEvent>)

#### Type Parameters

- Data extends Record<string, any> = Record<string, any>

#### Type declaration

- - (method, paginator?, sort?, filter?, parameters?): Method<Data[], TableEvent>

  - #### Parameters

    - method: Method
    - `Optional` paginator: PaginatorLike
    - `Optional` sort: SortLike | null
    - `Optional` filter: FilterLike | null
    - `Optional` parameters: Observable<Record<string, any>>

    #### Returns Method<Data[], TableEvent>

- Defined in packages/angular/material/table-system/src/lib/table-data-source.directive.ts:47